Subject: pkg/30607: lang/erlang needs --with-ssl to find the 'right' openssl
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 06/27/2005 03:59:01
>Number:         30607
>Category:       pkg
>Synopsis:       lang/erlang needs --with-ssl to find the 'right' openssl (patch included)
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Jun 27 03:59:00 +0000 2005
>Originator:     George Michaelson
>Release:        NetBSD 3.99.6
System: NetBSD 3.99.6 NetBSD 3.99.6 (GGMSMALL) #29: Thu Jun 23 10:58:16 EST 2005 root@:/data/NetBSD/src/sys/arch/i386/compile/GGMSMALL i386
Architecture: i386
Machine: i386
	lang/erlang relies on the configure state to find openssl. But
	this is not re-generated for all ports, and so can find the base
	openssl on non-NetBSD architectures like Redhat.

	try installing pkgsrc on Redhat EL, install erlang.


This patch fixes it.


--- Makefile.dist       2005-06-27 13:53:43.000000000 +1000
+++ Makefile    2005-06-27 13:45:55.000000000 +1000
@@ -17,6 +17,7 @@
 USE_TOOLS+=            gmake
 USE_JAVA=              yes
 USE_JAVA2=             yes
+CONFIGURE_ARGS+=       --with-ssl=${PREFIX}
 SUBST_CLASSES=         target